#****************************************************************************
#**
#**  Author(s):  Pheonix-IV
#**
#**  Summary  :  Manor Script
#**
#**  Copyright  2007 Firebird Industries.  All rights reserved.
#****************************************************************************

local TEnergyCreationUnit = import('/lua/terranunits.lua').TEnergyCreationUnit

IUB1201 = Class(TEnergyCreationUnit) {

    AirEffects01 = {'/effects/emitters/hydrocarbon_smoke_01_emit.bp',},
    AirEffectsBones01 = {'Exhaust01'},
    AirEffects02 = {'/effects/emitters/hydrocarbon_smoke_01_emit.bp',},
    AirEffectsBones02 = {'Exhaust02'},

    OnStopBeingBuilt = function(self,builder,layer)
        TEnergyCreationUnit.OnStopBeingBuilt(self,builder,layer)
        local effects = {}
        local bones = {}
        local scale = 0.2
        effects = self.AirEffects01
        bones = self.AirEffectsBones01
        for keys, values in effects do
            for keysbones, valuesbones in bones do
                self.Trash:Add(CreateAttachedEmitter(self, valuesbones, self:GetArmy(), values):ScaleEmitter(scale):OffsetEmitter(0.2,0.35,-0.2))
            end
        end
        effects = self.AirEffects02
        bones = self.AirEffectsBones02
        for keys, values in effects do
            for keysbones, valuesbones in bones do
                self.Trash:Add(CreateAttachedEmitter(self, valuesbones, self:GetArmy(), values):ScaleEmitter(scale):OffsetEmitter(0.2,0.35,-0.2))
            end
        end
    end,
}

TypeClass = IUB1201