#****************************************************************************
#**
#**  File     :  /cdimage/units/URA0001/URA0001_script.lua
#**  Author(s):  Gordon Duclos
#**
#**  Summary  :  Cybran Builder bot units
#**
#**  Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CAirUnit = import('/lua/cybranunits.lua').CAirUnit
local CreateCybranBuildBeams = import('/lua/EffectUtilities.lua').CreateCybranBuildBeams

IUX0001 = Class(CAirUnit) {

    CreateBuildEffects = function( self, unitBeingBuilt, order )
        CreateCybranBuildBeams( self, unitBeingBuilt, {'AttachPoint',}, self.BuildEffectsBag )
    end,
}

TypeClass = IUX0001