#****************************************************************************
#**
#**  Author:  Pheonix-IV
#**
#**  Summary  :  Skiff Script
#**
#**  Copyright  2007 Firebird Industries.  All rights reserved.
#****************************************************************************
local TSeaUnit = import('/lua/terranunits.lua').TSeaUnit
local TIFArtilleryWeapon = import('/lua/terranweapons.lua').TIFArtilleryWeapon
local explosion = import('/lua/defaultexplosions.lua')
local CreateDeathExplosion = explosion.CreateDefaultHitExplosionAtBone

Skiff = Class(TSeaUnit) {

    Weapons = {
        Cannon = Class(TIFArtilleryWeapon) {},
        },
        
    DeathThread = function(self)
		local watchBone = 'Bote'
		local pos = self:GetPosition()
		local seafloor = GetTerrainHeight(pos[1], pos[3]) + GetTerrainTypeOffset(pos[1], pos[3])
			while self:GetPosition(watchBone)[2] > seafloor do
				WaitSeconds(0.1)
			end
		CreateDeathExplosion( self, 'Bote', 1.0)
		self:CreateWreckage(0.6)
		self:Destroy()
		self:DestroyIdleEffects()
    end
}

TypeClass = Skiff